Debian Bug report logs - #735946
ITP: shc -- Generic shell script compiler

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tong Sun <suntong001@users.sourceforge.net>

Date: Sat, 18 Jan 2014 22:06:01 UTC

Owned by: Tong Sun <suntong001@users.sourceforge.net>

Severity: wishlist

Merged with 662954

Fix blocked by 735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735946; Package wnpp. (Sat, 18 Jan 2014 22:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 18 Jan 2014 22:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: shc -- Generic shell script compiler
Date: Sat, 18 Jan 2014 17:04:21 -0500
package: wnpp
Severity: wishlist
Owner: Tong Sun <suntong001@users.sourceforge.net>

*Package Name : shc
 Version : 3.8.9
 Upstream Author : Francisco Rosales <frosal@fi.upm.es>.
*URL : http://www.datsi.fi.upm.es/~frosal/
*License : GPL-2.0
*Description : Generic shell script compiler
 shc creates a stripped binary executable from shell script
 .
 shc encodes and encrypts a shell script and generates C source code with
 the added expiration capability. Its main purpose is to protect your shell
 scripts from modification or inspection.  You can use it if you wish to
 distribute your scripts but don't want them to be easily readable by other
 people.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735946; Package wnpp. (Sat, 18 Jan 2014 22:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 18 Jan 2014 22:39:10 GMT) Full text and rfc822 format available.

Message #10 received at 735946@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: 735946@bugs.debian.org
Subject: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Sat, 18 Jan 2014 17:37:51 -0500
Package: sponsorship-requests
Severity: wishlist

Dear mentors,

I am looking for a sponsor for my package "shc"

 * Package name    : shc
   Version         : 3.8.9-1
   Upstream Author : Francisco Rosales <frosal@fi.upm.es>.
 * URL             : http://www.datsi.fi.upm.es/~frosal/
 * License         : GPL-2.0
   Section         : devel

It builds those binary packages:

  shc   - Generic shell script compiler

*Description : Generic shell script compiler
 shc creates a stripped binary executable from shell script
 .
 shc encodes and encrypts a shell script and generates C source code with
 the added expiration capability. Its main purpose is to protect your shell
 scripts from modification or inspection.  You can use it if you wish to
 distribute your scripts but don't want them to be easily readable by other
 people.


To access further information about this package, please visit the
following URL:

http://mentors.debian.net/package/shc

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/s/shc/shc_3.8.9-1.dsc

Please review and sponsor.

Thanks

Tong Sun



Added blocking bug(s) of 735946: 735953 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 19 Jan 2014 04:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>:
Bug#735946; Package wnpp. (Sun, 19 Jan 2014 16:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>. (Sun, 19 Jan 2014 16:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 735946@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Tong Sun <suntong001@users.sourceforge.net>, 735953@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, 735946@bugs.debian.org
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Sun, 19 Jan 2014 14:17:27 -0200
Hi Tong,

How are you?

Your package has several lintian messages and all are fixable.

I: shc source: quilt-patch-missing-description 01_remove-makefile.diff
I: shc source: quilt-patch-missing-description 02_add-Makefile.diff
I: shc source: quilt-patch-missing-description 03_remove-pause-from-match.diff
I: shc source: debian-watch-file-is-missing
I: shc: hardening-no-fortify-functions usr/bin/shc
I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz
Unfortunatelly Unfortunately
I: shc: hyphen-used-as-minus-sign usr/share/man/man1/shc.1.gz:60
I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz comand command
I: shc: hyphen-used-as-minus-sign usr/share/man/man1/shc.1.gz:101

I suggest to you fix the problems and re-upload your package, that is
very interesting and useful.

Regards,

Eriberto


2014/1/18 Tong Sun <suntong001@users.sourceforge.net>:
>
> I am looking for a sponsor for my package "shc"
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735946; Package wnpp. (Thu, 23 Jan 2014 03:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 03:30:08 GMT) Full text and rfc822 format available.

Message #22 received at 735946@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 735953@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>, 735946@bugs.debian.org
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Wed, 22 Jan 2014 22:25:56 -0500
Hi Eriberto,

Thanks a lot for checking into my package.

My sid is about 3~4 weeks old but somehow I don't have lintian
problems of hyphen-used-as-minus-sign and
hardening-no-fortify-functions. I've shot into the dark, so please
verify for me. New build just uploaded:

Uploading to mentors (via http to mentors.debian.net):
  Uploading shc_3.8.9-1.dsc: done.
  Uploading shc_3.8.9.orig.tar.gz: done.
  Uploading shc_3.8.9-1.debian.tar.gz: done.
  Uploading shc_3.8.9-1_source.changes: done.
Successfully uploaded packages.

PS. for hardening-no-fortify-functions, this is my fix:
https://github.com/suntong001/shc-build/commit/c1daa032cddcb61e68d13b3b205f2c199ce28569

If it doesn't work, please tell me how.

Thanks

On Sun, Jan 19, 2014 at 11:17 AM, Eriberto <eriberto@eriberto.pro.br> wrote:
> Hi Tong,
>
> How are you?
>
> Your package has several lintian messages and all are fixable.
>
> I: shc source: quilt-patch-missing-description 01_remove-makefile.diff
> I: shc source: quilt-patch-missing-description 02_add-Makefile.diff
> I: shc source: quilt-patch-missing-description 03_remove-pause-from-match.diff
> I: shc source: debian-watch-file-is-missing
> I: shc: hardening-no-fortify-functions usr/bin/shc
> I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz
> Unfortunatelly Unfortunately
> I: shc: hyphen-used-as-minus-sign usr/share/man/man1/shc.1.gz:60
> I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz comand command
> I: shc: hyphen-used-as-minus-sign usr/share/man/man1/shc.1.gz:101
>
> I suggest to you fix the problems and re-upload your package, that is
> very interesting and useful.
>
> Regards,
>
> Eriberto
>
>
> 2014/1/18 Tong Sun <suntong001@users.sourceforge.net>:
>>
>> I am looking for a sponsor for my package "shc"
>>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>:
Bug#735946; Package wnpp. (Thu, 23 Jan 2014 12:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>. (Thu, 23 Jan 2014 12:54:13 GMT) Full text and rfc822 format available.

Message #27 received at 735946@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Tong Sun <suntong001@users.sourceforge.net>
Cc: 735953@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>, 735946@bugs.debian.org
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Thu, 23 Jan 2014 10:50:40 -0200
Hi Tong!

You have a lintian message yet:

I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz comand command

And your problem isn't lintian version, but the configuration. Please,
read this:

http://eriberto.pro.br/blog/?p=1289

The blhc command shows warnings that will appear in PTS page:

# blhc shc_3.8.9-1_amd64.build

CPPFLAGS missing (-D_FORTIFY_SOURCE=2): shc: cc -g -O2
-fstack-protector --param=ssp-buffer-size=4 -Wformat
-Werror=format-security match.x.c -o match.x

LDFLAGS missing (-Wl,-z,relro): shc: cc -g -O2 -fstack-protector
--param=ssp-buffer-size=4 -Wformat -Werror=format-security match.x.c
-o match.x

To fix this, $ man blhc. Search for 'BUILDD TAGS' in manpage.

You will get 'Build log checks report 1 warning about this package' on
http://packages.qa.debian.org page. To see an example, you can search
at Google:

"Build log checks report 1 warning about this package" site:packages.qa.debian

Finally, I am trying to help you but I am not a DD. You will need a DD
to upload your package.

Have a nice day!

Cheers,

Eriberto


2014/1/23 Tong Sun <suntong001@users.sourceforge.net>:
>
> My sid is about 3~4 weeks old but somehow I don't have lintian
> problems of hyphen-used-as-minus-sign and
> hardening-no-fortify-functions. I've shot into the dark, so please



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735946; Package wnpp. (Thu, 23 Jan 2014 20:51:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Jan 2014 20:51:23 GMT) Full text and rfc822 format available.

Message #32 received at 735946@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 735946@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Thu, 23 Jan 2014 15:49:31 -0500
On Thu, Jan 23, 2014 at 7:50 AM, Eriberto <eriberto@eriberto.pro.br> wrote:
> You have a lintian message yet:
>
> I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz comand command
>
> And your problem isn't lintian version, but the configuration. Please,
> read this:
>
> http://eriberto.pro.br/blog/?p=1289

Strange, I've freshly installed my sid, done the above changes, but
still am not seeing the spelling-error-in-manpage prompt. Putting
everything on the command line, "lintian -EviIL +pedantic --color auto
--display-experimental", I'm still not getting that one.


Further onto the spelling-error-in-manpage problem. I've fixed all
spelling errors. But if you still see the prompt, then we can safely
ignore it, because there are cases that spelling will always be
considered error. E.g.:

     -T   Allow binary to be  traceable  (using  strace,  ptrace, truss, etc.)

If I'm wrong, please spell-check on
http://www.datsi.fi.upm.es/~frosal/sources/shc.html, and point me the
spelling errors.

> The blhc command . . .

Thanks for that. will do in the future.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>:
Bug#735946; Package wnpp. (Fri, 24 Jan 2014 09:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tong Sun <suntong001@users.sourceforge.net>. (Fri, 24 Jan 2014 09:54:15 GMT) Full text and rfc822 format available.

Message #37 received at 735946@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Tong Sun <suntong001@users.sourceforge.net>
Cc: 735946@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Fri, 24 Jan 2014 07:52:24 -0200
2014/1/23 Tong Sun <suntong001@users.sourceforge.net>:
>
> If I'm wrong, please spell-check on
> http://www.datsi.fi.upm.es/~frosal/sources/shc.html, and point me the
> spelling errors.


Options
[...]

 -xcomand

---> Must be command. (s/comand/command)

Thanks!

Eriberto



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#735946; Package wnpp. (Fri, 24 Jan 2014 20:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong001@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 Jan 2014 20:27:13 GMT) Full text and rfc822 format available.

Message #42 received at 735946@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong001@users.sourceforge.net>
To: 735953@bugs.debian.org, 735946@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Eriberto <eriberto@eriberto.pro.br>
Subject: Re: Bug#735953: RFS: shc/3.8.9-1 [ITP] -- Generic shell script compiler
Date: Fri, 24 Jan 2014 15:23:02 -0500
Dear mentors,

I'd like to bring to your attention again to my package "shc".
I am still looking for a sponsor for it.

Thanks to Eriberto's tireless help, I think I have cleared all the problems.
Please review and sponsor.

Thanks


 * Package name    : shc
   Version         : 3.8.9-1
   Upstream Author : Francisco Rosales <frosal@fi.upm.es>.
 * URL             : http://www.datsi.fi.upm.es/~frosal/
 * License         : GPL-2.0
   Section         : devel

It builds those binary packages:

  shc   - Generic shell script compiler

*Description : Generic shell script compiler
 shc creates a stripped binary executable from shell script
 .
 shc encodes and encrypts a shell script and generates C source code with
 the added expiration capability. Its main purpose is to protect your shell
 scripts from modification or inspection.  You can use it if you wish to
 distribute your scripts but don't want them to be easily readable by other
 people.


To access further information about this package, please visit the
following URL:

http://mentors.debian.net/package/shc

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/s/shc/shc_3.8.9-1.dsc



On Thu, Jan 23, 2014 at 7:50 AM, Eriberto <eriberto@eriberto.pro.br> wrote:
> Hi Tong!
>
> You have a lintian message yet:
>
> I: shc: spelling-error-in-manpage usr/share/man/man1/shc.1.gz comand command
>
> And your problem isn't lintian version, but the configuration. Please,
> read this:
>
> http://eriberto.pro.br/blog/?p=1289
>
> The blhc command shows warnings that will appear in PTS page:
>
> # blhc shc_3.8.9-1_amd64.build
>
> CPPFLAGS missing (-D_FORTIFY_SOURCE=2): shc: cc -g -O2
> -fstack-protector --param=ssp-buffer-size=4 -Wformat
> -Werror=format-security match.x.c -o match.x



Merged 662954 735946 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sat, 15 Feb 2014 17:00:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:24:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.